package com.ruoyi.system.domain.visit;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class VisitFreeInterviewExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public VisitFreeInterviewExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andPlanIdIsNull() {
            addCriterion("plan_id is null");
            return (Criteria) this;
        }

        public Criteria andPlanIdIsNotNull() {
            addCriterion("plan_id is not null");
            return (Criteria) this;
        }

        public Criteria andPlanIdEqualTo(String value) {
            addCriterion("plan_id =", value, "planId");
            return (Criteria) this;
        }

        public Criteria andVisitTypeEqualTo(String value) {
            addCriterion("visit_type =", value, "visitType");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotEqualTo(String value) {
            addCriterion("plan_id <>", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdGreaterThan(String value) {
            addCriterion("plan_id >", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdGreaterThanOrEqualTo(String value) {
            addCriterion("plan_id >=", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdLessThan(String value) {
            addCriterion("plan_id <", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdLessThanOrEqualTo(String value) {
            addCriterion("plan_id <=", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdLike(String value) {
            addCriterion("plan_id like", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotLike(String value) {
            addCriterion("plan_id not like", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdIn(List<String> values) {
            addCriterion("plan_id in", values, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotIn(List<String> values) {
            addCriterion("plan_id not in", values, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdBetween(String value1, String value2) {
            addCriterion("plan_id between", value1, value2, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotBetween(String value1, String value2) {
            addCriterion("plan_id not between", value1, value2, "planId");
            return (Criteria) this;
        }

        public Criteria andModelIdIsNull() {
            addCriterion("model_id is null");
            return (Criteria) this;
        }

        public Criteria andModelIdIsNotNull() {
            addCriterion("model_id is not null");
            return (Criteria) this;
        }

        public Criteria andModelIdEqualTo(String value) {
            addCriterion("model_id =", value, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdNotEqualTo(String value) {
            addCriterion("model_id <>", value, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdGreaterThan(String value) {
            addCriterion("model_id >", value, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdGreaterThanOrEqualTo(String value) {
            addCriterion("model_id >=", value, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdLessThan(String value) {
            addCriterion("model_id <", value, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdLessThanOrEqualTo(String value) {
            addCriterion("model_id <=", value, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdLike(String value) {
            addCriterion("model_id like", value, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdNotLike(String value) {
            addCriterion("model_id not like", value, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdIn(List<String> values) {
            addCriterion("model_id in", values, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdNotIn(List<String> values) {
            addCriterion("model_id not in", values, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdBetween(String value1, String value2) {
            addCriterion("model_id between", value1, value2, "modelId");
            return (Criteria) this;
        }

        public Criteria andModelIdNotBetween(String value1, String value2) {
            addCriterion("model_id not between", value1, value2, "modelId");
            return (Criteria) this;
        }

        public Criteria andWgCodeIsNull() {
            addCriterion("wg_code is null");
            return (Criteria) this;
        }

        public Criteria andWgCodeIsNotNull() {
            addCriterion("wg_code is not null");
            return (Criteria) this;
        }

        public Criteria andWgCodeEqualTo(String value) {
            addCriterion("wg_code =", value, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeNotEqualTo(String value) {
            addCriterion("wg_code <>", value, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeGreaterThan(String value) {
            addCriterion("wg_code >", value, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeGreaterThanOrEqualTo(String value) {
            addCriterion("wg_code >=", value, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeLessThan(String value) {
            addCriterion("wg_code <", value, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeLessThanOrEqualTo(String value) {
            addCriterion("wg_code <=", value, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeLike(String value) {
            addCriterion("wg_code like", value, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeNotLike(String value) {
            addCriterion("wg_code not like", value, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeIn(List<String> values) {
            addCriterion("wg_code in", values, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeNotIn(List<String> values) {
            addCriterion("wg_code not in", values, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeBetween(String value1, String value2) {
            addCriterion("wg_code between", value1, value2, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgCodeNotBetween(String value1, String value2) {
            addCriterion("wg_code not between", value1, value2, "wgCode");
            return (Criteria) this;
        }

        public Criteria andWgValueIsNull() {
            addCriterion("wg_value is null");
            return (Criteria) this;
        }

        public Criteria andWgValueIsNotNull() {
            addCriterion("wg_value is not null");
            return (Criteria) this;
        }

        public Criteria andWgValueEqualTo(String value) {
            addCriterion("wg_value =", value, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueNotEqualTo(String value) {
            addCriterion("wg_value <>", value, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueGreaterThan(String value) {
            addCriterion("wg_value >", value, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueGreaterThanOrEqualTo(String value) {
            addCriterion("wg_value >=", value, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueLessThan(String value) {
            addCriterion("wg_value <", value, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueLessThanOrEqualTo(String value) {
            addCriterion("wg_value <=", value, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueLike(String value) {
            addCriterion("wg_value like", value, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueNotLike(String value) {
            addCriterion("wg_value not like", value, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueIn(List<String> values) {
            addCriterion("wg_value in", values, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueNotIn(List<String> values) {
            addCriterion("wg_value not in", values, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueBetween(String value1, String value2) {
            addCriterion("wg_value between", value1, value2, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgValueNotBetween(String value1, String value2) {
            addCriterion("wg_value not between", value1, value2, "wgValue");
            return (Criteria) this;
        }

        public Criteria andWgyNameIsNull() {
            addCriterion("wgy_name is null");
            return (Criteria) this;
        }

        public Criteria andWgyNameIsNotNull() {
            addCriterion("wgy_name is not null");
            return (Criteria) this;
        }

        public Criteria andWgyNameEqualTo(String value) {
            addCriterion("wgy_name =", value, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameNotEqualTo(String value) {
            addCriterion("wgy_name <>", value, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameGreaterThan(String value) {
            addCriterion("wgy_name >", value, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameGreaterThanOrEqualTo(String value) {
            addCriterion("wgy_name >=", value, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameLessThan(String value) {
            addCriterion("wgy_name <", value, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameLessThanOrEqualTo(String value) {
            addCriterion("wgy_name <=", value, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameLike(String value) {
            addCriterion("wgy_name like", value, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameNotLike(String value) {
            addCriterion("wgy_name not like", value, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameIn(List<String> values) {
            addCriterion("wgy_name in", values, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameNotIn(List<String> values) {
            addCriterion("wgy_name not in", values, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameBetween(String value1, String value2) {
            addCriterion("wgy_name between", value1, value2, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyNameNotBetween(String value1, String value2) {
            addCriterion("wgy_name not between", value1, value2, "wgyName");
            return (Criteria) this;
        }

        public Criteria andWgyCodeIsNull() {
            addCriterion("wgy_code is null");
            return (Criteria) this;
        }

        public Criteria andWgyCodeIsNotNull() {
            addCriterion("wgy_code is not null");
            return (Criteria) this;
        }

        public Criteria andWgyCodeEqualTo(String value) {
            addCriterion("wgy_code =", value, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeNotEqualTo(String value) {
            addCriterion("wgy_code <>", value, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeGreaterThan(String value) {
            addCriterion("wgy_code >", value, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeGreaterThanOrEqualTo(String value) {
            addCriterion("wgy_code >=", value, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeLessThan(String value) {
            addCriterion("wgy_code <", value, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeLessThanOrEqualTo(String value) {
            addCriterion("wgy_code <=", value, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeLike(String value) {
            addCriterion("wgy_code like", value, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeNotLike(String value) {
            addCriterion("wgy_code not like", value, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeIn(List<String> values) {
            addCriterion("wgy_code in", values, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeNotIn(List<String> values) {
            addCriterion("wgy_code not in", values, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeBetween(String value1, String value2) {
            addCriterion("wgy_code between", value1, value2, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andWgyCodeNotBetween(String value1, String value2) {
            addCriterion("wgy_code not between", value1, value2, "wgyCode");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeIsNull() {
            addCriterion("interview_time is null");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeIsNotNull() {
            addCriterion("interview_time is not null");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeEqualTo(String value) {
            addCriterion("interview_time =", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeNotEqualTo(String value) {
            addCriterion("interview_time <>", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeGreaterThan(String value) {
            addCriterion("interview_time >", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeGreaterThanOrEqualTo(String value) {
            addCriterion("interview_time >=", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeLessThan(String value) {
            addCriterion("interview_time <", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeLessThanOrEqualTo(String value) {
            addCriterion("interview_time <=", value, "interviewTime");
            return (Criteria) this;
        }

        //
        public Criteria andInterviewTimeYMDGreaterThan(String value) {
            addCriterion("STR_TO_DATE(interview_time,'%Y-%m-%d') >", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeYMDGreaterThanOrEqualTo(String value) {
            addCriterion("STR_TO_DATE(interview_time,'%Y-%m-%d') >=", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeYMDLessThan(String value) {
            addCriterion("STR_TO_DATE(interview_time,'%Y-%m-%d') <", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeYMDLessThanOrEqualTo(String value) {
            addCriterion("STR_TO_DATE(interview_time,'%Y-%m-%d') <=", value, "interviewTime");
            return (Criteria) this;
        }


        public Criteria andInterviewTimeLike(String value) {
            addCriterion("interview_time like", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeNotLike(String value) {
            addCriterion("interview_time not like", value, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeIn(List<String> values) {
            addCriterion("interview_time in", values, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeNotIn(List<String> values) {
            addCriterion("interview_time not in", values, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeBetween(String value1, String value2) {
            addCriterion("interview_time between", value1, value2, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andInterviewTimeNotBetween(String value1, String value2) {
            addCriterion("interview_time not between", value1, value2, "interviewTime");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("type like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("type not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andObjIdIsNull() {
            addCriterion("obj_id is null");
            return (Criteria) this;
        }

        public Criteria andObjIdIsNotNull() {
            addCriterion("obj_id is not null");
            return (Criteria) this;
        }

        public Criteria andObjIdEqualTo(String value) {
            addCriterion("obj_id =", value, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdNotEqualTo(String value) {
            addCriterion("obj_id <>", value, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdGreaterThan(String value) {
            addCriterion("obj_id >", value, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdGreaterThanOrEqualTo(String value) {
            addCriterion("obj_id >=", value, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdLessThan(String value) {
            addCriterion("obj_id <", value, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdLessThanOrEqualTo(String value) {
            addCriterion("obj_id <=", value, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdLike(String value) {
            addCriterion("obj_id like", value, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdNotLike(String value) {
            addCriterion("obj_id not like", value, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdIn(List<String> values) {
            addCriterion("obj_id in", values, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdNotIn(List<String> values) {
            addCriterion("obj_id not in", values, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdBetween(String value1, String value2) {
            addCriterion("obj_id between", value1, value2, "objId");
            return (Criteria) this;
        }

        public Criteria andObjIdNotBetween(String value1, String value2) {
            addCriterion("obj_id not between", value1, value2, "objId");
            return (Criteria) this;
        }

        public Criteria andObjNameIsNull() {
            addCriterion("obj_name is null");
            return (Criteria) this;
        }

        public Criteria andObjNameIsNotNull() {
            addCriterion("obj_name is not null");
            return (Criteria) this;
        }

        public Criteria andObjNameEqualTo(String value) {
            addCriterion("obj_name =", value, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameNotEqualTo(String value) {
            addCriterion("obj_name <>", value, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameGreaterThan(String value) {
            addCriterion("obj_name >", value, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameGreaterThanOrEqualTo(String value) {
            addCriterion("obj_name >=", value, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameLessThan(String value) {
            addCriterion("obj_name <", value, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameLessThanOrEqualTo(String value) {
            addCriterion("obj_name <=", value, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameLike(String value) {
            addCriterion("obj_name like", value, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameNotLike(String value) {
            addCriterion("obj_name not like", value, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameIn(List<String> values) {
            addCriterion("obj_name in", values, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameNotIn(List<String> values) {
            addCriterion("obj_name not in", values, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameBetween(String value1, String value2) {
            addCriterion("obj_name between", value1, value2, "objName");
            return (Criteria) this;
        }

        public Criteria andObjNameNotBetween(String value1, String value2) {
            addCriterion("obj_name not between", value1, value2, "objName");
            return (Criteria) this;
        }

        public Criteria andObjTypeIsNull() {
            addCriterion("obj_type is null");
            return (Criteria) this;
        }

        public Criteria andObjTypeIsNotNull() {
            addCriterion("obj_type is not null");
            return (Criteria) this;
        }

        public Criteria andObjTypeEqualTo(String value) {
            addCriterion("obj_type =", value, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeNotEqualTo(String value) {
            addCriterion("obj_type <>", value, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeGreaterThan(String value) {
            addCriterion("obj_type >", value, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeGreaterThanOrEqualTo(String value) {
            addCriterion("obj_type >=", value, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeLessThan(String value) {
            addCriterion("obj_type <", value, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeLessThanOrEqualTo(String value) {
            addCriterion("obj_type <=", value, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeLike(String value) {
            addCriterion("obj_type like", value, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeNotLike(String value) {
            addCriterion("obj_type not like", value, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeIn(List<String> values) {
            addCriterion("obj_type in", values, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeNotIn(List<String> values) {
            addCriterion("obj_type not in", values, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeBetween(String value1, String value2) {
            addCriterion("obj_type between", value1, value2, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeNotBetween(String value1, String value2) {
            addCriterion("obj_type not between", value1, value2, "objType");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameIsNull() {
            addCriterion("obj_type_name is null");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameIsNotNull() {
            addCriterion("obj_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameEqualTo(String value) {
            addCriterion("obj_type_name =", value, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameNotEqualTo(String value) {
            addCriterion("obj_type_name <>", value, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameGreaterThan(String value) {
            addCriterion("obj_type_name >", value, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("obj_type_name >=", value, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameLessThan(String value) {
            addCriterion("obj_type_name <", value, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameLessThanOrEqualTo(String value) {
            addCriterion("obj_type_name <=", value, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameLike(String value) {
            addCriterion("obj_type_name like", value, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameNotLike(String value) {
            addCriterion("obj_type_name not like", value, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameIn(List<String> values) {
            addCriterion("obj_type_name in", values, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameNotIn(List<String> values) {
            addCriterion("obj_type_name not in", values, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameBetween(String value1, String value2) {
            addCriterion("obj_type_name between", value1, value2, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjTypeNameNotBetween(String value1, String value2) {
            addCriterion("obj_type_name not between", value1, value2, "objTypeName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameIsNull() {
            addCriterion("obj_user_name is null");
            return (Criteria) this;
        }

        public Criteria andObjUserNameIsNotNull() {
            addCriterion("obj_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andObjUserNameEqualTo(String value) {
            addCriterion("obj_user_name =", value, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameNotEqualTo(String value) {
            addCriterion("obj_user_name <>", value, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameGreaterThan(String value) {
            addCriterion("obj_user_name >", value, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("obj_user_name >=", value, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameLessThan(String value) {
            addCriterion("obj_user_name <", value, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameLessThanOrEqualTo(String value) {
            addCriterion("obj_user_name <=", value, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameLike(String value) {
            addCriterion("obj_user_name like", value, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameNotLike(String value) {
            addCriterion("obj_user_name not like", value, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameIn(List<String> values) {
            addCriterion("obj_user_name in", values, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameNotIn(List<String> values) {
            addCriterion("obj_user_name not in", values, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameBetween(String value1, String value2) {
            addCriterion("obj_user_name between", value1, value2, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjUserNameNotBetween(String value1, String value2) {
            addCriterion("obj_user_name not between", value1, value2, "objUserName");
            return (Criteria) this;
        }

        public Criteria andObjNumberIsNull() {
            addCriterion("obj_number is null");
            return (Criteria) this;
        }

        public Criteria andObjNumberIsNotNull() {
            addCriterion("obj_number is not null");
            return (Criteria) this;
        }

        public Criteria andObjNumberEqualTo(String value) {
            addCriterion("obj_number =", value, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberNotEqualTo(String value) {
            addCriterion("obj_number <>", value, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberGreaterThan(String value) {
            addCriterion("obj_number >", value, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberGreaterThanOrEqualTo(String value) {
            addCriterion("obj_number >=", value, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberLessThan(String value) {
            addCriterion("obj_number <", value, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberLessThanOrEqualTo(String value) {
            addCriterion("obj_number <=", value, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberLike(String value) {
            addCriterion("obj_number like", value, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberNotLike(String value) {
            addCriterion("obj_number not like", value, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberIn(List<String> values) {
            addCriterion("obj_number in", values, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberNotIn(List<String> values) {
            addCriterion("obj_number not in", values, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberBetween(String value1, String value2) {
            addCriterion("obj_number between", value1, value2, "objNumber");
            return (Criteria) this;
        }

        public Criteria andObjNumberNotBetween(String value1, String value2) {
            addCriterion("obj_number not between", value1, value2, "objNumber");
            return (Criteria) this;
        }

        public Criteria andCreateIdIsNull() {
            addCriterion("create_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateIdIsNotNull() {
            addCriterion("create_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateIdEqualTo(String value) {
            addCriterion("create_id =", value, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdNotEqualTo(String value) {
            addCriterion("create_id <>", value, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdGreaterThan(String value) {
            addCriterion("create_id >", value, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdGreaterThanOrEqualTo(String value) {
            addCriterion("create_id >=", value, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdLessThan(String value) {
            addCriterion("create_id <", value, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdLessThanOrEqualTo(String value) {
            addCriterion("create_id <=", value, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdLike(String value) {
            addCriterion("create_id like", value, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdNotLike(String value) {
            addCriterion("create_id not like", value, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdIn(List<String> values) {
            addCriterion("create_id in", values, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdNotIn(List<String> values) {
            addCriterion("create_id not in", values, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdBetween(String value1, String value2) {
            addCriterion("create_id between", value1, value2, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateIdNotBetween(String value1, String value2) {
            addCriterion("create_id not between", value1, value2, "createId");
            return (Criteria) this;
        }

        public Criteria andCreateNameIsNull() {
            addCriterion("create_name is null");
            return (Criteria) this;
        }

        public Criteria andCreateNameIsNotNull() {
            addCriterion("create_name is not null");
            return (Criteria) this;
        }

        public Criteria andCreateNameEqualTo(String value) {
            addCriterion("create_name =", value, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameNotEqualTo(String value) {
            addCriterion("create_name <>", value, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameGreaterThan(String value) {
            addCriterion("create_name >", value, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameGreaterThanOrEqualTo(String value) {
            addCriterion("create_name >=", value, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameLessThan(String value) {
            addCriterion("create_name <", value, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameLessThanOrEqualTo(String value) {
            addCriterion("create_name <=", value, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameLike(String value) {
            addCriterion("create_name like", value, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameNotLike(String value) {
            addCriterion("create_name not like", value, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameIn(List<String> values) {
            addCriterion("create_name in", values, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameNotIn(List<String> values) {
            addCriterion("create_name not in", values, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameBetween(String value1, String value2) {
            addCriterion("create_name between", value1, value2, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateNameNotBetween(String value1, String value2) {
            addCriterion("create_name not between", value1, value2, "createName");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(String value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(String value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(String value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(String value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(String value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(String value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLike(String value) {
            addCriterion("create_time like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotLike(String value) {
            addCriterion("create_time not like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<String> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<String> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(String value1, String value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(String value1, String value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(String value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(String value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(String value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(String value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(String value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(String value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLike(String value) {
            addCriterion("status like", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotLike(String value) {
            addCriterion("status not like", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<String> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<String> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(String value1, String value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(String value1, String value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andTaskIdIsNull() {
            addCriterion("task_id is null");
            return (Criteria) this;
        }

        public Criteria andTaskIdIsNotNull() {
            addCriterion("task_id is not null");
            return (Criteria) this;
        }

        public Criteria andTaskIdEqualTo(String value) {
            addCriterion("task_id =", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdNotEqualTo(String value) {
            addCriterion("task_id <>", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdGreaterThan(String value) {
            addCriterion("task_id >", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdGreaterThanOrEqualTo(String value) {
            addCriterion("task_id >=", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdLessThan(String value) {
            addCriterion("task_id <", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdLessThanOrEqualTo(String value) {
            addCriterion("task_id <=", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdLike(String value) {
            addCriterion("task_id like", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdNotLike(String value) {
            addCriterion("task_id not like", value, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdIn(List<String> values) {
            addCriterion("task_id in", values, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdNotIn(List<String> values) {
            addCriterion("task_id not in", values, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdBetween(String value1, String value2) {
            addCriterion("task_id between", value1, value2, "taskId");
            return (Criteria) this;
        }

        public Criteria andTaskIdNotBetween(String value1, String value2) {
            addCriterion("task_id not between", value1, value2, "taskId");
            return (Criteria) this;
        }


        public Criteria andIsValidIsNull() {
            addCriterion("is_valid is null");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNotNull() {
            addCriterion("is_valid is not null");
            return (Criteria) this;
        }

        public Criteria andIsValidEqualTo(String value) {
            addCriterion("is_valid =", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotEqualTo(String value) {
            addCriterion("is_valid <>", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThan(String value) {
            addCriterion("is_valid >", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThanOrEqualTo(String value) {
            addCriterion("is_valid >=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThan(String value) {
            addCriterion("is_valid <", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThanOrEqualTo(String value) {
            addCriterion("is_valid <=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLike(String value) {
            addCriterion("is_valid like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotLike(String value) {
            addCriterion("is_valid not like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidIn(List<String> values) {
            addCriterion("is_valid in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotIn(List<String> values) {
            addCriterion("is_valid not in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidBetween(String value1, String value2) {
            addCriterion("is_valid between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotBetween(String value1, String value2) {
            addCriterion("is_valid not between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNull() {
            addCriterion("longitude is null");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNotNull() {
            addCriterion("longitude is not null");
            return (Criteria) this;
        }

        public Criteria andLongitudeEqualTo(String value) {
            addCriterion("longitude =", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotEqualTo(String value) {
            addCriterion("longitude <>", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThan(String value) {
            addCriterion("longitude >", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThanOrEqualTo(String value) {
            addCriterion("longitude >=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThan(String value) {
            addCriterion("longitude <", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThanOrEqualTo(String value) {
            addCriterion("longitude <=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLike(String value) {
            addCriterion("longitude like", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotLike(String value) {
            addCriterion("longitude not like", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeIn(List<String> values) {
            addCriterion("longitude in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotIn(List<String> values) {
            addCriterion("longitude not in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeBetween(String value1, String value2) {
            addCriterion("longitude between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotBetween(String value1, String value2) {
            addCriterion("longitude not between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNull() {
            addCriterion("latitude is null");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNotNull() {
            addCriterion("latitude is not null");
            return (Criteria) this;
        }

        public Criteria andLatitudeEqualTo(String value) {
            addCriterion("latitude =", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotEqualTo(String value) {
            addCriterion("latitude <>", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThan(String value) {
            addCriterion("latitude >", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThanOrEqualTo(String value) {
            addCriterion("latitude >=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThan(String value) {
            addCriterion("latitude <", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThanOrEqualTo(String value) {
            addCriterion("latitude <=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLike(String value) {
            addCriterion("latitude like", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotLike(String value) {
            addCriterion("latitude not like", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIn(List<String> values) {
            addCriterion("latitude in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotIn(List<String> values) {
            addCriterion("latitude not in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeBetween(String value1, String value2) {
            addCriterion("latitude between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotBetween(String value1, String value2) {
            addCriterion("latitude not between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andActualTimeIsNull() {
            addCriterion("actual_time is null");
            return (Criteria) this;
        }

        public Criteria andActualTimeIsNotNull() {
            addCriterion("actual_time is not null");
            return (Criteria) this;
        }

        public Criteria andActualTimeEqualTo(String value) {
            addCriterion("actual_time =", value, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeNotEqualTo(String value) {
            addCriterion("actual_time <>", value, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeGreaterThan(String value) {
            addCriterion("actual_time >", value, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeGreaterThanOrEqualTo(String value) {
            addCriterion("actual_time >=", value, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeLessThan(String value) {
            addCriterion("actual_time <", value, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeLessThanOrEqualTo(String value) {
            addCriterion("actual_time <=", value, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeLike(String value) {
            addCriterion("actual_time like", value, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeNotLike(String value) {
            addCriterion("actual_time not like", value, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeIn(List<String> values) {
            addCriterion("actual_time in", values, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeNotIn(List<String> values) {
            addCriterion("actual_time not in", values, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeBetween(String value1, String value2) {
            addCriterion("actual_time between", value1, value2, "actualTime");
            return (Criteria) this;
        }

        public Criteria andActualTimeNotBetween(String value1, String value2) {
            addCriterion("actual_time not between", value1, value2, "actualTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}